//=======================================================================================
//
//    [ sprite.h ] スプライト描画モジュール
//
//	このファイルへ関数を追加する
//=======================================================================================
#ifndef _SPRITE_H_
#define _SPRITE_H_

#include <revolution.h>

static u8 spriteR = 255; // スプライトの色
static u8 spriteG = 255;
static u8 spriteB = 255;
static u8 spriteA = 255;

//=======================================================================================
// スプライト描画準備関数
//
// SpriteのDraw関数を呼ぶ前にコールする
//
// ※他のSetup関数が呼ばれた後、SpriteのDraw関数を呼ぶ場合には再度コールすること
//=======================================================================================
void SpriteSetup(void);

//=======================================================================================
// スプライト色設定関数
//
// スプライト色を指定する
// この関数が呼ばれた後のスプライト画像はすべてここで指定した色との乗算合成になる
//
// r ... 赤要素(0-255)
// g ... 緑要素(0-255)
// b ... 青要素(0-255)
// a ... α値   (0-255)
//=======================================================================================
void SpriteSetColor(u8 r, u8 g, u8 b, u8 a);

void SpritrSetScale(float ScaleW,float ScaleH);

// tx, ty ... テクスチャの切り取り左上座標
void TexSetSize(int tx, int ty,int tw, int th);

// dw, dh ... スプライトの幅と高さ(テクスチャの切り取り幅と高さ)
void SpritrSetSize(float dx, float dy,float dw, float dh);

void SetAnimasion(int Count,int Flame,int Pattan, int Direction);

//=======================================================================================
// スプライト描画関数
//
// pTex   ... テクスチャオブジェクトの先頭アドレス
// dx, dy ... スプライトの左上座標


//=======================================================================================
void SpriteDraw(GXTexObj* pTex);

#endif // _SPRITE_H_
